# Content delete

An action block that deletes content in another app, such as contacts or calendar events.

The fiber will pause until the content has been deleted.

Note! Only the “default messaging app” can modify `content://sms` and `content://mms-sms` URI’s on Android 4.4+.

Caution! This is advanced feature and should only be used with knowledge of the content structure, may result in loss of or corrupt data.

## Input arguments

- Content URI — URI of the content to delete.
- Where clause — an SQL `WHERE` clause for matching a sub-selection of the content identified by Content URI, default is all content.
- Parameters — an array of values to replace any `?` within the where clause.

## Output variables

- Number of rows deleted — variable to assign the number of rows actually deleted.